package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbAnteMortemInspectionEntity;
import com.ruoyi.web.v3.model.request.HbAnteMortemInspectionPageReq;

/**
 * <p>
 * v3.0 宰前检验记录 服务类
 * </p>
 */
public interface IHbAnteMortemInspectionService extends IService<HbAnteMortemInspectionEntity> {

    AjaxResult add(HbAnteMortemInspectionEntity request);

    AjaxResult edit(HbAnteMortemInspectionEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbAnteMortemInspectionPageReq request);

    AjaxResult listAll();
}
